/*
  Copyright (C) 2000-2003 SKYRIX Software AG

  This file is part of OGo

  OGo is free software; you can redistribute it and/or modify it under
  the terms of the GNU Lesser General Public License as published by the
  Free Software Foundation; either version 2, or (at your option) any
  later version.

  OGo is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
  License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with OGo; see the file COPYING.  If not, write to the
  Free Software Foundation, 59 Temple Place - Suite 330, Boston, MA
  02111-1307, USA.
*/
// $Id: SkyFileManagerFactory.h,v 1.2 2003/07/11 16:42:42 jan Exp $

#ifndef __SkyFileManagerFactory_H__
#define __SkyFileManagerFactory_H__

#import <Foundation/NSObject.h>

@protocol SkyFileManager
- (id)initWithContext:(id)_context projectGlobalID:(EOGlobalID *)_gid;
@end

@class NSURL, EOGlobalID;

@interface SkyFileManagerFactory : NSObject
{
}

+ (id)fileManagerInContext:(id)_context forProject:(id)_project;
+ (id)fileManagerInContext:(id)_context forProjectGID:(EOGlobalID *)_gid;


+ (NSURL *)skyrixBaseURL;
+ (NSURL *)subversionBaseURL;
+ (NSURL *)fileSystemBaseURL;

+ (NSURL *)newFileSystemURLWithContext:(id)_ctx;

@end /* SkyFileManagerFactory */

#endif /* __SkyFileManagerFactory_H__ */
